Acontext
DiskDisk_idArtifactLs

List artifacts

GET
/disk/{disk_id}/artifact/ls

List artifacts in a specific path or all artifacts in a disk

Authorization

BearerAuth
Authorization<token>

Project Bearer token (e.g., "Bearer sk-ac-xxxx")

In: header

Path Parameters

disk_id*string

Disk ID

Formatuuid

Query Parameters

path?string

Path filter (optional, defaults to root '/')

Response Body

application/json

curl -X GET "https://loading/api/v1/disk/497f6eca-6276-4993-bfeb-53cbbbba6f08/artifact/ls"
{
  "code": 0,
  "error": "string",
  "msg": "string",
  "data": {
    "artifacts": [
      {
        "created_at": "string",
        "disk_id": "string",
        "filename": "string",
        "meta": {},
        "path": "string",
        "updated_at": "string"
      }
    ],
    "directories": [
      "string"
    ]
  }
}